Package org.kapott.hbci.GV_Result

## Class GVRTANList.TANInfo

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRTANList.TANInfo

Enclosing class:
  GVRTANList

    public static class GVRTANList.TANInfo
    extends java.lang.Object

Daten zu genau einer TAN

### Field Summary

Fields
`java.lang.String` `tan` Die TAN selbst.
`java.util.Date` `timestamp` Zeitpunkt, wann die TAN verbraucht wurde.
`int` `usagecode` Code, wofür die TAN verwendet wurde, siehe auch `usageCodes`).
`static java.lang.String[]` `usageCodes` Feld zum "Übersetzen" der Verwendungs-Codes (`usagecode`) in einen Klartext.
`java.lang.String` `usagetxt` Erläuterung für TAN-Verwendung.

### Constructor Summary

Constructors
`TANInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### usageCodes

    public static final java.lang.String[] usageCodes

Feld zum "Übersetzen" der Verwendungs-Codes (`usagecode`) in einen Klartext.

#### usagecode

    public int usagecode

Code, wofür die TAN verwendet wurde, siehe auch `usageCodes`). Gültige Codes sind:

- 0 - TAN wurde noch nicht verbraucht
- 1 - Stornierung einer Überweisung
- 2 - PIN-Änderung
- 3 - Aufheben der Kontosperre
- 4 - Aktivieren einer neuen TAN-Liste
- 5 - TAN wurde maschinell entwertet
- 6 - Mitteilungsversand
- 7 - Überweisung/Lastschrift
- 8 - Wertpapierverwaltung
- 9 - Dauerauftragsverwaltung
- ... (siehe Sourcecode)

#### usagetxt

    public java.lang.String usagetxt

Erläuterung für TAN-Verwendung. Wenn `usagecode`==`99` ist, dann enthält dieser String optional einen erläuternden Text, wofür die TAN verbraucht wurde.

#### tan

    public java.lang.String tan

Die TAN selbst. Ist nur dann gesetzt, wenn die TAN tatsächlich bereits verbraucht wurde, sonst ist dieses Feld `null`

#### timestamp

    public java.util.Date timestamp

Zeitpunkt, wann die TAN verbraucht wurde. Diese Variable ist nur dann ungleich `null`, wenn die TAN tatsächlich bereits verbraucht wurde

### Constructor Detail

#### TANInfo

    public TANInfo()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`